Subject: Re: bug#13965: info.info conflict between emacs and texinfo

From: Petr Hracek <[email-masked]>
Date: Wed, 03 Apr 2013 13:13:42 +0200

you are right, texinfo.

emacs rpm package depends on texinfo and therefore info.info.gz page
will be removed from emacs package.

What about patch which delivered Andreas?
info.texi was removed from texinfo-5.1?

--- texinfo-5.1/doc/info.texi	2013-02-19 23:25:28.000000000 +0100
+++ emacs-24.3/doc/misc/info.texi	2013-01-01 21:37:17.000000000 +0100

I think that there will be inconsistency.
I think that info.texi should be part of texinfo, right?
@Andreas: did you apply that patch on emacs trunk?
Cool and thanks:)

S pozdravem / Best regards

Petr Hracek

On 04/02/2013 06:16 PM, Glenn Morris wrote:
> Petr Hracek wrote:
>
>> Does it mean that info.texi will be delivered by Emacs instead of texlive?
>> At the begging of that "bug" was mentioned that info.texi should be
>> part of texlive.
> Texinfo, not texlive.
>
>> I am little bit confused what is final solution.
>>
>>  From last messages of that thread is seen that info.texi will be part
>> of emacs package definitelly, right?
> My suggestion is that you just unconditionally remove info.info from the
> files that the Emacs rpm installs. It makes sense for both upstreams to
> have it, but if that causes problems for you, I think the better home
> for it is the Texinfo rpm. Maybe make the Emacs rpm suggest Texinfo?
> (Probably not worth bothering.)